import moment from 'moment';

export const formatDate = (dateString: Date): string => {
  const inputDate = moment.utc(dateString).local();
  const today = moment().local();
  const yesterday = moment().local().subtract(1, 'days');

  if (inputDate.isSame(today, 'day')) {
    return inputDate.format('HH:mm');
  }
  if (inputDate.isSame(yesterday, 'day')) {
    return 'yesterday';
  }
  if (!inputDate.isSame(today, 'year')) {
    return inputDate.format('DD.MM.YYYY');
  }

  return inputDate.format('DD.MM');
};
